#
# spec file for package openstack-horizon-plugin-neutron-vpnaas-ui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?rhel} || 0%{?fedora}
%global http_dashboard_dir %{_datarootdir}/openstack-dashboard
%else
%global http_dashboard_dir /srv/www/openstack-dashboard
%endif
Name:           openstack-horizon-plugin-neutron-vpnaas-ui
Version:        1.2.1~dev19
Release:        1.1
Summary:        Neutron VPNaaS management plugin for Horizon
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/neutron-vpnaas-dashboard
Source0:        neutron-vpnaas-dashboard-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-macros
BuildRequires:  python-django-nose >= 1.4.4
BuildRequires:  python-mock >= 2.0.0
BuildRequires:  python-mox3 >= 0.20.0
BuildRequires:  python-openstackdocstheme >= 1.17.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-reno >= 2.5.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-horizon-plugin-neutron-vpnaas-ui = %{version}
BuildArch:      noarch

%description
OpenStack Neutron VPNaaS management plugin for Horizon.

%package -n    python-horizon-plugin-neutron-vpnaas-ui
Summary:        Neutron VPNaaS Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python-Django >= 1.8
Requires:       python-neutronclient >= 6.3.0
Requires:       python-pbr >= 2.0.0

%description -n python-horizon-plugin-neutron-vpnaas-ui
OpenStack Neutron VPNaaS management plugin for Horizon.

This package contains the core Python module of the neutron-vpnaas-ui.

%package test
Summary:        Neutron VPNaaS Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       python-django-nose >= 1.4.4
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-openstackdocstheme >= 1.17.0
Requires:       python-python-subunit >= 1.0.0
Requires:       python-reno >= 2.5.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0

%description test
OpenStack Neutron VPNaaS management plugin for Horizon.
It is used to verify the functionality of the Neutron VPNaaS UI Plugin.

%prep
%autosetup -n neutron-vpnaas-dashboard-1.2.1.dev19
%py_req_cleanup

%build
%py2_build

%check
PYTHONPATH=%{http_dashboard_dir} python manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings

%install
%py2_install

install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
cp -a neutron_vpnaas_dashboard/enabled/*.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/

%fdupes %{buildroot}%{python2_sitelib}
%fdupes %{buildroot}%{http_dashboard_dir}

%post
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%files
%doc ChangeLog CONTRIBUTING.rst README.rst
%license LICENSE
%{http_dashboard_dir}/openstack_dashboard/enabled/*.py

%files -n python-horizon-plugin-neutron-vpnaas-ui
%doc README.rst
%license LICENSE
%{python2_sitelib}/neutron_vpnaas_dashboard/
%{python2_sitelib}/neutron_vpnaas_dashboard-*.egg-info
%exclude %{http_dashboard_dir}/openstack_dashboard/enabled/*.pyc
%exclude %{http_dashboard_dir}/openstack_dashboard/enabled/*.pyo
%exclude %{python_sitelib}/neutron_vpnaas_dashboard/test*

%files test
%{python_sitelib}/neutron_vpnaas_dashboard/test*

%changelog
